/*********************************************************************************
 *  Samurai Kanji, version 1.0                                                   *
 *  Copyright (C) 2006 Robert Baruch                                             *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     Robert Baruch                                                             *
 *     76 Collins Lane                                                           *
 *     Rising Sun, MD  21911                                                     *
 *     USA                                                                       *
 *     E-mail: autophile@gmail.com                                               *
 *********************************************************************************/

import waba.ui.*;
import waba.fx.*;

public class AboutWindow extends Window
{
    Button next;
    Image nowShowing = null;

    public AboutWindow()
    {
        nowShowing = SamuraiKanji.buttonImages[SamuraiKanji.ABOUT1];
        next = new Button(SamuraiKanji.buttonImages[SamuraiKanji.NEXT]);
        next.setBorder(Button.BORDER_NONE);
        add(next, Control.RIGHT, Control.BOTTOM);
    }

    public void onPaint(Graphics g)
    {
        super.onPaint(g);
        g.drawImage(nowShowing, 0, 0);
    }

    public void onEvent(Event e)
    {
        if (e.type == PenEvent.PEN_UP) // the button is just for show
        {
            e.consumed = true;
            if (nowShowing == SamuraiKanji.buttonImages[SamuraiKanji.ABOUT1])
            {
                nowShowing = SamuraiKanji.buttonImages[SamuraiKanji.ABOUT2];
                repaint();
                return;
            }
            unpop();
            return;
        }

    }
}
